%define fw_version 5.41

%define oname ktexteditor

Summary:	KDE Frameworks 5 advanced embeddable text editor module
Name:		%{oname}-kf5
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5archive-devel >= %{fw_version}
BuildRequires:	kf5config-devel >= %{fw_version}
BuildRequires:	kf5guiaddons-devel >= %{fw_version}
BuildRequires:	kf5i18n-devel >= %{fw_version}
BuildRequires:	kf5kio-devel >= %{fw_version}
BuildRequires:	kf5parts-devel >= %{fw_version}
BuildRequires:	kf5sonnet-devel >= %{fw_version}
BuildRequires:	kf5syntaxhighlighting-devel >= %{fw_version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(Qt5XmlPatterns)

%description
KDE Frameworks 5 advanced embeddable text editor module.

KTextEditor provides a powerful text editor component that you can embed in
your application, either as a KPart or using the KF5::TextEditor library
(if you need more control).

%files
%{_kde5_datadir}/katepart5/*
%{_kde5_libexecdir}/kauth/kauth_ktexteditor_helper
%{_kde5_plugindir}/parts/katepart.so
%{_kde5_services}/katepart.desktop
%{_kde5_servicetypes}/ktexteditor.desktop
%{_kde5_servicetypes}/ktexteditorplugin.desktop
%{_datadir}/dbus-1/system-services/org.kde.ktexteditor.katetextbuffer.service
%{_datadir}/polkit-1/actions/org.kde.ktexteditor.katetextbuffer.policy
%{_sysconfdir}/dbus-1/system.d/org.kde.ktexteditor.katetextbuffer.conf

#----------------------------------------------------------------------------

%package i18n
Summary:	KTextEditor translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KTextEditor translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5texteditor_major 5
%define libkf5texteditor %mklibname kf5texteditor %{kf5texteditor_major}

%package -n %{libkf5texteditor}
Summary:	KDE Frameworks 5 advanced embeddable text editor shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5texteditor}
KDE Frameworks 5 advanced embeddable text editor shared library.

%files -n %{libkf5texteditor}
%{_kde5_libdir}/libKF5TextEditor.so.%{kf5texteditor_major}*

#----------------------------------------------------------------------------

%define devkf5texteditor %mklibname kf5texteditor -d

%package -n %{devkf5texteditor}
Summary:	Development files for KDE Frameworks 5 advanced embeddable text editor module
Group:		Development/KDE and Qt
Requires:	%{libkf5texteditor} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5texteditor-devel = %{version}

%description -n %{devkf5texteditor}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5texteditor}
%{_kde5_datadir}/kdevappwizard/templates/ktexteditor-plugin.tar.bz2
%{_kde5_includedir}/KF5/KTextEditor
%{_kde5_includedir}/KF5/ktexteditor_version.h
%{_kde5_libdir}/cmake/KF5TextEditor
%{_kde5_libdir}/libKF5TextEditor.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Tue Dec 12 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (8cde617) Drop l10n patch (fixed upstream)
- (Andrey Bondrov: 95eb27e) New version 5.41.0

* Thu Nov 02 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-2
- (85625af) Backport some translations for save actions

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (5caea3d) Update files
- (Andrey Bondrov: 0b81b1d) Still require pkgconfig(Qt5Script) for tests
- (Andrey Bondrov: b8aabbe) Switch from QtScript to QtQml
- (Andrey Bondrov: 9ed5af6) New version 5.38.0

* Thu Jun 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (adc2554) Update files
- (Andrey Bondrov: ba23bbc) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (39ae31b) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (e210d1e) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (c6a3614) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (95ae38d) Build requires kf5syntaxhighlighting-devel
- (Andrey Bondrov: ef699a7) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (adf6d65) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (fdf6c35) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (362b98a) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (2dfbde6) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (6500215) MassBuild#1023: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (057c1ce) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (8b5da4e) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (60e9ff7) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (0e2a06a) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (fedad13) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (aafb4b8) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (f29c4d5) Bump release

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (cfdb76e) Update files
- (Andrey Bondrov: e001b44) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (8215497) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (00b8bd7) New version 5.14.0


